Page MenuHomePhabricator

Delete char input in namespace field after selection
Closed, ResolvedPublic3 Story Points

Description

As a user
when I enter "dis", and then choose "discussion" out of the dropdown
I want to see a discussion tag, but not my typed "dis" in the namespaces form
because I already selected what I need.

Acceptance Criteria:

  • When a user selected an option from the dropdown, delete the characters that brought them to the dropdown selection

Details
We should not allow arbitrary input. If it cannot be fixed with this, we need to fix it for the MenuTagMultiselectWidget

Background
Maybe solved in ooui v0.22.0 / 2017-05-30 "MenuTagMultiselectWidget: Clear text field after adding an item from it (Bartosz Dziewoński)" (depending on T173009 outcome)

Event Timeline

Lea_WMDE created this task.Aug 9 2017, 11:05 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 9 2017, 11:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Aug 9 2017, 12:33 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.
Pablo-WMDE updated the task description. (Show Details)Aug 9 2017, 12:39 PM
Pablo-WMDE updated the task description. (Show Details)Aug 15 2017, 10:21 AM
Pablo-WMDE updated the task description. (Show Details)

git pull && pray

  • mediawiki
  • skin
kai.nissen moved this task from Todo to Doing on the WMDE-Fundraising-Sprint-12 board.

Change 382751 had a related patch set uploaded (by Kai Nissen (WMDE); owner: Kai Nissen (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Clear input field when choosing a namespace from the menu

https://gerrit.wikimedia.org/r/382751

Change 382751 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Clear input field when choosing a namespace from the menu

https://gerrit.wikimedia.org/r/382751

Deployed to test wiki

Pablo-WMDE updated the task description. (Show Details)Oct 9 2017, 4:25 PM
kai.nissen closed this task as Resolved.Nov 2 2017, 1:52 PM

The mentioned